package com.qizhen.healsphere.repository.mapper.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import java.time.OffsetDateTime;

@Data
@TableName("kg_count_total_info")
public class KgCountTotalInfo {
    
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    
    @TableField(value = "gmt_create", fill = FieldFill.INSERT)
    private OffsetDateTime gmtCreate;
    
    @TableField(value = "gmt_modified", fill = FieldFill.INSERT_UPDATE)
    private OffsetDateTime gmtModified;
    
    @TableField("node_type_num")
    private Integer nodeTypeNum;
    
    @TableField("node_num")
    private Integer nodeNum;
    
    @TableField("node_prop_num")
    private Integer nodePropNum;
    
    @TableField("relation_type_num")
    private Integer relationTypeNum;
    
    @TableField("relation_num")
    private Integer relationNum;
    
    @TableField("term_num")
    private Integer termNum;
}
