package com.qizhen.healsphere.service;

import com.qizhen.healsphere.repository.neo4j.entity.BaseEntity;
import com.qizhen.healsphere.web.vo.*;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;
import java.util.Map;

public interface EntityService {

    List<Map<String, Object>> createEntity(List<CreateEntityVO> createEntityList);

    Boolean deleteEntity(List<Long> ids);

    List<Map<String, Object>> updateEntityName(List<UpdateEntityVO> updateEntityList);

    List<Map<String, Object>> findEntityListByName(String label, String name);

    Map<String, Object> findEntityById(FindEntityVO id);

    BaseEntity findNodeByName(String label, String name);

    BaseEntity create(CreateEntityVO createEntity);

    Map<String, Object> mergeEntity(MergeEntityVO mergeEntity);
}
