package com.qizhen.healsphere.web;

import com.qizhen.healsphere.service.BaseNodeService;
import com.qizhen.healsphere.web.dto.RespDTO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

@Controller
@RequestMapping("/base")
public class BaseNodeController {

    @Autowired
    BaseNodeService baseNodeService;

    @RequestMapping(value = "/findNode",method = RequestMethod.GET)
    @ResponseBody
    public RespDTO<Map<String,Object>> findNode(@RequestParam("label") String label,@RequestParam("name") String name) {

        Map<String, Object> node = baseNodeService.findNode(label, name);
        return RespDTO.onSuc(node);
    }


}
