package com.qizhen.healsphere.web;

import com.qizhen.healsphere.service.impl.IcdDataProcessor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping("/api/icd")
public class IcdController {
    
    @Autowired
    private IcdDataProcessor icdDataProcessor;
    
    @RequestMapping(value = "/process",method = RequestMethod.POST)
    @ResponseBody
    public String processIcdData() {
        try {
            icdDataProcessor.processIcdData();
            return "数据处理成功";
        } catch (Exception e) {
            return "处理失败：" + e.getMessage();
        }
    }
} 